function [R0,dR0dx,dR0dp,R0warnings] = r0_matrix(x,p) 

R0 = 0.452832431321468132e1;
dR0dx1 = 0;
dR0dx2 = 0;
dR0dx3 = 0;
dR0dx4 = 0;
dR0dx5 = 0;
dR0dx6 = 0;
dR0dx7 = 0;
dR0dx8 = 0;
dR0dx9 = 0;
dR0dp1 = 0;
dR0dp2 = 0;
dR0dp3 = 0;
dR0dp4 = 0;
dR0dp5 = 0;
dR0dp6 = 0;
dR0dp7 = 0;
dR0dp8 = 0;
dR0dp9 = 0;
dR0dp10 = 0;
dR0dp11 = 0;
dR0dp12 = 0;
dR0dp13 = 0;
dR0dp14 = 0;
dR0dp15 = 0;
dR0dp16 = 0;
dR0dp17 = 0;
dR0dp18 = 0;
dR0dp19 = 0;
dR0dp20 = 0;
dR0dp21 = 0;
dR0dp22 = 0;
warning1 = 0;
warning2_F = 0;
warning2_V = 0;
warning3 = 0;
warning4 = 0;
warning5 = 0;

dR0dx(1) = dR0dx1; 
dR0dx(2) = dR0dx2; 
dR0dx(3) = dR0dx3; 
dR0dx(4) = dR0dx4; 
dR0dx(5) = dR0dx5; 
dR0dx(6) = dR0dx6; 
dR0dx(7) = dR0dx7; 
dR0dx(8) = dR0dx8; 
dR0dx(9) = dR0dx9; 
dR0dp(1) = dR0dp1; 
dR0dp(2) = dR0dp2; 
dR0dp(3) = dR0dp3; 
dR0dp(4) = dR0dp4; 
dR0dp(5) = dR0dp5; 
dR0dp(6) = dR0dp6; 
dR0dp(7) = dR0dp7; 
dR0dp(8) = dR0dp8; 
dR0dp(9) = dR0dp9; 
dR0dp(10) = dR0dp10; 
dR0dp(11) = dR0dp11; 
dR0dp(12) = dR0dp12; 
dR0dp(13) = dR0dp13; 
dR0dp(14) = dR0dp14; 
dR0dp(15) = dR0dp15; 
dR0dp(16) = dR0dp16; 
dR0dp(17) = dR0dp17; 
dR0dp(18) = dR0dp18; 
dR0dp(19) = dR0dp19; 
dR0dp(20) = dR0dp20; 
dR0dp(21) = dR0dp21; 
dR0dp(22) = dR0dp22; 

R0warnings.w1 = warning1; 
R0warnings.w2F = warning2_F; 
R0warnings.w2V = warning2_V; 
R0warnings.w3 = warning3; 
R0warnings.w4 = warning4; 
R0warnings.w5 = warning5; 
end
